function Rotator(options) {
	var self = this;

	function construct () {
		Widget.prototype.constructor.call(self, options);

		// запустим крутилку баннеров
		self.element(' .rotator__container ul li').length &&
			self.element(' .rotator__container').jCarouselLite({
				visible: options['visible'],
				speed: options['speed'],
				auto: options['auto'],
				mouseWheel: true,
				btnNext: '.rotator__next > button',
				btnPrev: '.rotator__prev > button'
				// beforeStart: function () {},
				// afterEnd: function () {}
		});
	}

	construct();
}

Rotator.extendsClass(Widget);
